The Synthesis ToolKit in C++ (STK)

Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

Public Types | Public Member Functions | List of all members
RtAudioError Class Reference

Exception handling class for RtAudio. More...

`#include <RtAudio.h>`

Inheritance diagram for RtAudioError:

## Public Types
enum | Type { WARNING , DEBUG_WARNING , UNSPECIFIED , NO_DEVICES_FOUND , INVALID_DEVICE , MEMORY_ERROR , INVALID_PARAMETER , INVALID_USE , DRIVER_ERROR , SYSTEM_ERROR , THREAD_ERROR }
| Defined RtAudioError types. More...

## Public Member Functions
| RtAudioError (const std::string &message, Type type=RtAudioError::UNSPECIFIED)
| The constructor.
virtual void | printMessage (void) const
| Prints thrown error message to stderr.
virtual const Type & | getType (void) const
| Returns the thrown error message type.
virtual const std::string | getMessage (void) const
| Returns the thrown error message string.

## Detailed Description

Exception handling class for RtAudio.

The RtAudioError class is quite simple but it does allow errors to be "caught" by RtAudioError::Type. See the RtAudio documentation to know which methods can throw an RtAudioError.

## Member Enumeration Documentation

## ◆ Type

enum RtAudioError::Type

Defined RtAudioError types.

Enumerator
WARNING | A non-critical error.
DEBUG_WARNING | A non-critical error which might be useful for debugging.
UNSPECIFIED | The default, unspecified error type.
NO_DEVICES_FOUND | No devices found on system.
INVALID_DEVICE | An invalid device ID was specified.
MEMORY_ERROR | An error occurred during memory allocation.
INVALID_PARAMETER | An invalid parameter was specified to a function.
INVALID_USE | The function was called incorrectly.
DRIVER_ERROR | A system driver error occurred.
SYSTEM_ERROR | A system error occurred.
THREAD_ERROR | A thread error occurred.

223 {
224 WARNING,
225 DEBUG_WARNING,
226 UNSPECIFIED,
227 NO_DEVICES_FOUND,
228 INVALID_DEVICE,
229 MEMORY_ERROR,
230 INVALID_PARAMETER,
231 INVALID_USE,
232 DRIVER_ERROR,
233 SYSTEM_ERROR,
234 THREAD_ERROR
235 };
RtAudioError::INVALID_DEVICE
@ INVALID_DEVICE
Definition: RtAudio.h:228
RtAudioError::MEMORY_ERROR
@ MEMORY_ERROR
Definition: RtAudio.h:229
RtAudioError::WARNING
@ WARNING
Definition: RtAudio.h:224
RtAudioError::UNSPECIFIED
@ UNSPECIFIED
Definition: RtAudio.h:226
RtAudioError::DRIVER_ERROR
@ DRIVER_ERROR
Definition: RtAudio.h:232
RtAudioError::NO_DEVICES_FOUND
@ NO_DEVICES_FOUND
Definition: RtAudio.h:227
RtAudioError::INVALID_USE
@ INVALID_USE
Definition: RtAudio.h:231
RtAudioError::THREAD_ERROR
@ THREAD_ERROR
Definition: RtAudio.h:234
RtAudioError::INVALID_PARAMETER
@ INVALID_PARAMETER
Definition: RtAudio.h:230
RtAudioError::DEBUG_WARNING
@ DEBUG_WARNING
Definition: RtAudio.h:225
RtAudioError::SYSTEM_ERROR
@ SYSTEM_ERROR
Definition: RtAudio.h:233

The documentation for this class was generated from the following file:

- RtAudio.h

The Synthesis ToolKit in C++ (STK)
©1995--2021 Perry R. Cook and Gary P. Scavone. All Rights Reserved.